{% extends 'base.html' %}
{% load static %}

{% block title %}
Scrumptious Recipes
{% endblock title %}

<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta charset="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>
            {{ recipe_object.title}} -
            Scrumptious Recipes
        </title>
        <link rel="stylesheet" href="{% static 'css/recipes.css' %}">
    </head>
    <body>
        {% block content %}
        <header>
            <nav>
                <a href="{% url 'recipe_list' %}">Main Page</a>
                <a href="{% url 'edit_recipe' recipe_object.id %}">Edit Recipe</a>
            </nav>
        </header>
        <main>
            <h1 class="">{{ recipe_object.title}}</h1>
            <img
                class="fit picture"
                src="{{ recipe_object.picture }}"
                src="{{ recipe_object.picture }}"
                alt="Image of delicious vegetarian tacos"
                />
                <div>4.3 stars</div>
                <p>{{ recipe_object.description }}</p>
            <h2>Ingredients</h2>
            <table class="ingredients-table">
                <thead>
                    <tr>
                        <th>Amount</th>
                        <th>Food items</th>
                    </tr>
                </thead>
                <tbody>
                    {% for ingredient in recipe_object.ingredients.all %}
                    <tr>
                        <td>{{ ingredient.amount }}</td>
                        <td>{{ ingredient.food_item }}</td>
                    </tr>
                    {% endfor %}
                    {% for step in recipe_object.steps.all %}
                    <li>{{ step.instruction }}</li>
                    {% endfor %}
                </tbody>
            </table>
        </main>
        {% endblock content %}
        <footer class = footer>Made with love by Scrumptious Recipes</footer>
    </body>
    </html>
